linux-wlan-ng (0.2.9+dfsg-6) unstable; urgency=low

  * debian/control: Updated Vcs links after moving to git
  * Add build-arch and build-indep targets to debian/rules
    (Closes: #822049)
  * debian/README.source: Removed, obsolete
  * Fix spelling errors in README.Debian
  * debian/rules: Add buildflags.mk for hardening
  * Bump Standards-Version to 3.9.8
  * debian/prism2-usb-firmware-installer.preinst: Removed, obsolete
  * Don't include kernel headers since we are not building modules
  * debian/watch: Removed, upstream code is only in git now
  * debian/copyright: Updated to machine-readable format 1.0
  * Make ifup not fail on missing kernel module (Closes: #742866)
  * Remove obsolete modprobe file (Closes: #605113)
  * debian/control: Remove obsolete text for very old kernels
  * Update firmware downloader script to use upstream git repo
    and not uselessly depend on other (non-existing) packages
  * Fix some Lintian warnings on generated firmware package
  * Fix typos in man pages, thanks to A. Costa! (Closes: #683712)

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 06 May 2016 11:58:47 +0200

linux-wlan-ng (0.2.9+dfsg-5) unstable; urgency=low

  [ Tormod Volden ]
  * debian/control: move packages from admin to kernel section

  [ Enrico Tassi ]
  * Remove linux-wlan-ng-source package (Closes: #651792)
  * Move to quilt and source format 3.0 (abandon dpatch) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 18 Feb 2012 11:21:39 +0100

linux-wlan-ng (0.2.9+dfsg-4) unstable; urgency=low

  [ Tormod Volden ]
  * Add versioned dependency on udev for the udev rules move
  * Be more explicit in the package descriptions
  * Drop Recommends on the obsoleted -modules package
  * Download firmware directly to /lib/firmware and not to /var/lib
    since /var might not be mounted when the driver initializes
  * debian/patches/SRC_fallback-to-prism2-device.dpatch: fallback
    to "prism2" name if /proc interface is missing, helpful for
    making userspace firmware loading work on some kernels.
  * Add myself to Uploaders

  [ Enrico Tassi ]
  * The active maintainer is Tormod, let's put him in this field and 
    move myself an Victor to uploaders

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 15 Feb 2010 19:38:45 +0100

linux-wlan-ng (0.2.9+dfsg-3) unstable; urgency=low

  [ Tormod Volden ]
  * New prism2-usb-firmware-installer binary package for use with
    kernels with the staging prism2_usb driver using kernel 
    firmware loading.
  * Install udev rules in /lib/udev and remove old one from /etc/udev
  * Replace dh_clean -k by dh_prep
  * Bump Standards-Version to 3.8.4
  * Add debian/README.source referring to dpatch
  * Merge debian/NEWS into changelog
  * debian/copyright: "GPL" means "GPL-2"
  * debian/linux-wlan-ng-firmware.copyright: Make machine-readable
  * add srec2fw.c and mention it in the copyright file
  * wrote man page for srec2fw

  [ Enrico Tassi ]
  * Added ${shlibs:Depends} to prism2-usb-firmware-installer
  * Added ${misc:Depends} to all packages since we are using debhelper
  * debian/compat set to 7 
  * Build-depend on debhelper >= 7 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 04 Feb 2010 21:08:01 +0100

linux-wlan-ng (0.2.9+dfsg-2) unstable; urgency=low

  [ Tormod Volden ]
  * SRC_build_on_2-6-26.dpatch:
    Cherry-picked upstream r1867 to fix build on 2.6.26
    (Closes: #495338)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Aug 2008 12:27:38 +0200

linux-wlan-ng (0.2.9+dfsg-1) unstable; urgency=low

  [ Chris Lamb ]
  * Fix bashism in debian/rules (Closes: #484403)

  [ Enrico Tassi ]
  * New upstream release
  * Watch file fixed to strip +dfsd tag from debian version  before comparing
    it with the upstream version
  * Bumped standards-version to 3.8.0, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 21 Jun 2008 11:23:42 +0200

linux-wlan-ng (0.2.8+svn1854+dfsg-1) unstable; urgency=low

  [ Tormod Volden ]
  * linux-wlan-ng-post-down: Do not disable card on ifdown if wireless
    extensions are in use
  * Removed the "sleep 3" in wlan-udev.sh since this is fixed in the
    driver (since revision 1852)
  * linux-wlan-ng-build-firmware-deb: bail out if no network is available
    instead of building empty package, remove misplaced cd command
  * README.Debian: removed obsolete configuration instructions
    (Closes: #474485)

  [ Victor Seva ]
  * New upstream fixes initialization race condition:
    Perform the hardware reset/init sequence *before* we register
    the netdevice. (Karl Renton)

  [ Enrico Tassi ]
  * Added a call to dh_installmodules in rules used by m-a (Closes: #480284)   

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 May 2008 18:25:50 +0200

linux-wlan-ng (0.2.8+svn1851+dfsg-1) unstable; urgency=low

  [ Victor Seva ]
  * changed Depends: linux-wlan-ng to Recommends
    on linux-wlan-ng-modules (Closes: #465329) Thanks to Tormod Volden.
  * fix for firmware loading from upstream ( rev 1851 )
  * removed linux-wlan-ng.modprobe and dh_installmodules on rules.
    Not needed anymore. (Closes: #192351) Thanks to Tormod Volden.

  [ Enrico Tassi ]
  * Version 1851 fixed firmware loading issues affecting wep configuration
    (Closes: #454684)
  * Added sleep 3 in wlan-udev.sh to avoid a race condition (Closes: #465681)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Feb 2008 13:55:16 +0100

linux-wlan-ng (0.2.8+svn1850+dfsg-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Removed useless entries in linux-wlan-ng (Thanks Tormod Volden for
    spotting that)
  * bumped standsrds-version to 3.7.3, no modifications needed
  * Removed old conffile installed by dh_installmodules
    /etc/modutils/linux-wlan-ng (Closes: #455027)
  * Added Vcs fields in control
  * moved the -doc package in section: doc

  [ Victor Seva ]
  * Added support for 2.6.24 kernels

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Feb 2008 17:33:47 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-2) unstable; urgency=low

  * removed hotplug file and activated cleanup preinst and postinst scripts
    (Thanks Tormod Volden for testing this modification)
  * fixed typo in etc/rc.wlan (used only as example)
  * removed -Xetc/init.d from rules and removed etc/init.d dir from .install
    for package linux-wlan-ng (package content should be the same, just
    housekeeping)
  * Removed dbus-send org.freedesktop.NetworkManager.RefreshDevice
    from wlan-udev.sh since it is no more necessary (Thanks Tormod Volden
    for spotting this)
  * Fixed watch file (only tar.bz2 are present) (Closes: #449773)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 Nov 2007 18:32:39 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-1) unstable; urgency=low

  * Renamed TEMPDIR in LWNTMP (Closes: #440366)
  * Added support for 2.6.23 kernels (Closes: #447409)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jul 2007 14:16:32 +0200

linux-wlan-ng (0.2.8+svn1832+dfsg-2) unstable; urgency=low

  * Removed spurious slash in .install file (Closes: #435008)
  * Fixed prism2_* loading in case p80211 is already loaded (Closes: #429624)
  * Moved linu-wlan-ng.modules to linux-wlan-ng.modprobe so that it actually
    does something. Added option wlan_wext_write=1 for 80211 so the wireless
    extensions are turned on by default. Restored dh_installmodules.
  * Integrated ubuntu changes to /etc/wlan/wlan-udev.sh that are friendly to
    NetworkManager. This should also close 429624 since now the firmware is
    loaded at the right time and the nic should be in an usable state just
    after plugging it (Closes: #429624)
  * Removed spurious patches
  * Removed from postinst the removal of /dev/nul that used to be created in
    version << 0.1.14-13 that is so obsolete that not even oldstable has it.
    This also avoids a bogus lintian error

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jul 2007 14:10:13 +0200

linux-wlan-ng (0.2.8+svn1832+dfsg-1) unstable; urgency=low

  * Updated to svn revision 1832 that adds support for kernel 2.6.22
    (Closes: 434703)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 26 Jul 2007 10:57:15 +0100

linux-wlan-ng (0.2.8+dfsg-1) unstable; urgency=low

  [ Victor Seva ]
  * New upstream release (Closes: #423647)
  * removed patches:
    SRC_src_prism2_include_prism2_hfa384x_h.dpatch
  * modified patches:
    BUILD_Configure.dpatch
    BUILD_config_in.dpatch

  [ Enrico Tassi ]
  * CONF_etc_wlan_wlan-udev_sh.dpatch removed since it seems that is no more
    needed.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 13 May 2007 19:37:41 +0200

linux-wlan-ng (0.2.7+dfsg-2) unstable; urgency=low

  * Solved script error with prism2dl man file (Closes: #406782)
  * Override previous upload to experimental, made by mistake

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Jan 2007 13:21:27 +0100

linux-wlan-ng (0.2.7+dfsg-1) experimental; urgency=low

  [ Victor Seva ]
  * New upstream release
  * prism2dl is dual-licenced MPL 1.1 and GPL v2
  * solved script error with prism2dl man file (Closes: #406782)
  * changes from upstream ( svn 1815 ) still 2.7.0 ?? :
    Configure error
    Build fix for 2.6.19 ( Same solution from Enrico )

  [ Enrico Tassi ]
  * The RC bug #406782 has already been fixed in t-p-u version
    0.2.5+dfsg-1etch2

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Jan 2007 13:00:19 +0100

linux-wlan-ng (0.2.6+svn20061108+dfsg-1) unstable; urgency=low

  * removed prism2dl.c file. It is not distributable at all. ( See #387760 )
  * add support to the linux-wlan-ng-firmware package to download not only the
    .hex firmware files but also the non redistributable prism2dl.c from the
    public upstream svn repository and compile it and put it in the non-free
    package together with the firmware .hex files.

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sun,  7 Jan 2007 16:03:49 +0100

linux-wlan-ng (0.2.6+svn20061108-2) unstable; urgency=low

  * removed udev rules by ubuntu, they make firmware loading fail putting the
    interface 'active' too early.
  * restored .pda file in /etc/wlan

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 13 Dec 2006 23:28:01 +0100

linux-wlan-ng (0.2.6+svn20061108-1) unstable; urgency=low

  [ Victor Seva ]
  * New upstream release (Closes: #401356)
  * Added changes from svn rev 1806 ( svn_1806.dpatch)

  [ Enrico Tassi ]
  * Added patches from Ubuntu.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun,  3 Dec 2006 12:55:51 +0100

linux-wlan-ng (0.2.5-2) unstable; urgency=low

  * Added patch for hex key reformatting. Kudos to Tormod Volden.
    (Closes: #389457)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Sep 2006 23:13:31 +0200

linux-wlan-ng (0.2.5-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Sep 2006 00:18:05 +0200

linux-wlan-ng (0.2.4+svn20060909-4) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Sep 2006 21:17:01 +0200

linux-wlan-ng (0.2.4+svn20060909-3) unstable; urgency=low

  [ Victor Seva ]
  * changed from linux-wlan-ng-source to linux-wlan-ng (
    /usr/src/linux-wlan-ng.tar.bz2 )

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Sep 2006 21:15:09 +0200

linux-wlan-ng (0.2.4+svn20060909-2) unstable; urgency=low

  [ Victor Seva ]
  * changed from gzip to bzip2 ( /usr/src/linux-wlan-ng-source.tar.bz2 )

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:07:25 +0200

linux-wlan-ng (0.2.4+svn20060909-1) unstable; urgency=low

  [ Victor Seva ]
  * set encryption key using gnome-system-tools (Closes: #386054)
    Patch by Tormod Volden <debian06.bugs.tormod@xoxy.net>
  * default to "managed", rather than "ad-hoc" mode (Closes: #386057)
    Patch by Tormod Volden <debian06.bugs.tormod@xoxy.net>
  * hotplug detection is garbled in /etc/wlan/shared (Closes: #386058)
    Patch by Tormod Volden <debian06.bugs.tormod@xoxy.net>

  [ Enrico Tassi ]
  * Updated the NEWS file mentioning the default-to-managed and
    gnome-system-tools-support patches.
  * Updated upstream to revision 1798. Should build fine with 2.6.18.
  * Relaxed linux-wlan-ng-firmware dependency on linux-wlan-ng (>= instead of
    =) since the former is arch:all and the latter arch:any and this makes 
    binNMU not feasible. Thanks lintian.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat,  9 Sep 2006 11:29:54 +0200

linux-wlan-ng (0.2.4+svn20060808-2) unstable; urgency=low

  * removed udev rules, since ifup is called automatically bu wlan.agent 
    (Thanks Marco d'Itri for reporting this bug)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Aug 2006 15:39:27 +0200

linux-wlan-ng (0.2.4+svn20060808-1) unstable; urgency=low

  [ Victor Seva ]
  * update to last SVN ( rev 1794 )
  * updated patches:
       - BUILD_src_Makefile
  * removed patches ( included by upstream ):
       - BUILD_src_prism2_driver_Makefile
       - BUILD_src_p80211_Makefile

  [ Enrico Tassi ]
  * Removed manual call to depmod in postinst script (Closes: #381764)
  * Fixed bug in BUILD_src_Makefile, prism2 should be built after p80211 
  * Do not fail if reloading of pcmcia confuguration file fails (maybe caused
    by a missing udev) (Closes: #376048)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed,  9 Aug 2006 12:18:15 +0200

linux-wlan-ng (0.2.4+svn20060710-2) unstable; urgency=low

  * Commented out wlan_bring_it_up call inside /etc/wlan-udev since
    this could prevent a successful call to ifup
    (if a network was found, lets say a managed one, and wlan0 was configured
    by interfaces in ad-hoc mode)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 26 Jul 2006 23:28:15 +0200

linux-wlan-ng (0.2.4+svn20060710-1) unstable; urgency=low

  [ Victor Seva ]
  * updated to last SVN
  * Solved errors building with 2.6.17 ( Closes: #367270, #378162 )
  * Removed build-essential from Build-Depends ( lintian Error )
  * added udev to depends ( linux-wlan-ng )

  [ Enrico Tassi ]
  * Since pcmcia configuration reload is not strictly necessary and 
    since this may fail on an upgrade from pcmcia-cs to pcmciautils,
    is now tolerated (warning the user). (Closes: #377771) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Jul 2006 14:48:02 +0200

linux-wlan-ng (0.2.4+svn20060414-5) unstable; urgency=low

  * linux-wlan-ng.postinst prefers pcmciautils reload action to pcmcia-cs one.
    Fixes some not-clean updates from the latter to the former package.
  * Standards updated to 3.7.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Jun 2006 17:49:05 +0200

linux-wlan-ng (0.2.4+svn20060414-4) unstable; urgency=low

  * Move linux-wlan-ng-firmware to contrib. (Closes: #368857)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Jun 2006 17:47:57 +0200

linux-wlan-ng (0.2.4+svn20060414-3) unstable; urgency=low

  * shared.prism2 is back (Closes: #365553)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon,  1 May 2006 14:06:01 +0200

linux-wlan-ng (0.2.4+svn20060414-2) unstable; urgency=low

  * By default compilation of the pcmcia driver is turned off, since the
    upstream sources are not in sync with 2.6.16 kernel pcmcia API.
    See the NEWS file if you really need the pcmcia driver. (Closes: #365076)
  * Standards updated to 3.7.0
  * The linux-wlan-ng-firmware package now installs the right copyright file
  * linux-wlan-ng-build-firmware-deb now puts the right copyright file
    in the generated deb.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 30 Apr 2006 14:54:21 +0200

linux-wlan-ng (0.2.4+svn20060414-1) unstable; urgency=low

  [ Victor Seva ]
  * updated to last SVN
  * rules.modules: clean rule depends on prepare_all (Closes: #360363 )
  * linux-wlan-ng.postinst error solved with an ungly hack (Closes: #356595 )

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Apr 2006 13:05:01 +0200

linux-wlan-ng (0.2.4+svn20060306-3) UNRELEASED; urgency=low

  * Changed default operative mode from ad-hoc to managed to conform to
    the majority of other drivers.
  * Few more keywords accepted in the interfaces file, so that it should be
    possible to use the gnome network configuration utility to set up the
    interface properly (including the WEP key).

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat,  9 Sep 2006 11:09:24 +0200

linux-wlan-ng (0.2.4+svn20060306-2) UNRELEASED; urgency=low

  * Sine the upstream sources fail in compiling the pcmcia driver against 
    kernel version 2.6.16, the default is not to build the pcmcia driver.
    If you use an older kernel and need the pcmcia driver, do as explained in
    the previous news entry.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 30 Apr 2006 14:20:38 +0200

linux-wlan-ng (0.2.4+svn20060306-1) UNRELEASED; urgency=low

  * The user can choose wich modules are built. You have to copy
    debian/config-for-lwng file to debian/config-foo and modifing this last
    file you will get only the choosen modules.

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed,  8 Mar 2006 15:46:09 +0100

linux-wlan-ng (0.2.4+svn20060306-1) unstable; urgency=low

  [ Victor Seva ]
  * removed /etc/wlan/shared call to wland
  * no src/prism2/*pda file ( rules.firmware )
  * added postinst.modules.in file missing ( Closes: #355577 )
  * new option to create only the choosen modules. No PCMCIA on kernel
    need. ( Closes: #355411, #299752 )

  [ Enrico Tassi ]
  * updated to last CVS (debian specific patches applied upstream)
  * conformed debian/rules of the -source package with modass

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 11 Mar 2006 23:42:23 +0100

linux-wlan-ng (0.2.4+svn20060128-1) UNRELEASED; urgency=low

  * No more modules packages produced by this source. Use module-assistant or
    kernel-package instead.

  * /etc/hotplug/wlan.agent is not invoked anymore by udev, 
    since /lib/udev/net.agent works fine and calls ifup directly.

  * No more wland since the upstream removed it.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jan 2006 21:33:50 +0100

linux-wlan-ng (0.2.4+svn20060128-1) unstable; urgency=low

  [ Enrico Tassi ]
  * fixed missing dependencies of the linux-wlan-ng-firwamre package
    (Closes: 348472)
  * added support for pcmciautils (Closes: #347797,#347795)
  * removed useless build-depends
  * updated to the new upstream 0.2.4 version plus the svn commits up to
    28/01/2006 (rev 1768) that mainly include the removal of the broken and
    unused (at least in Debian) wland code

  [ Victor Seva ]
  * remove all package modules

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jan 2006 17:15:15 +0100

linux-wlan-ng (0.2.3-1) unstable; urgency=low

  * New upstream release
  * new linux-wlan-ng-build-firmware-deb using svn

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sat,  3 Dec 2005 10:05:27 +0100

linux-wlan-ng (0.2.2+dfsg-7) unstable; urgency=low

  [ Enrico Tassi ]
  * Added .rules file for udev (Closes: #338742)
  * Patched the shared.prism2 script to react properly if no .hex file
    is found

  [ Victor Seva ]
  * msleep changed to mdelay on kernels < 2.4.28 ( Closes: #338112 )

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sun, 13 Nov 2005 09:13:18 +0100

linux-wlan-ng (0.2.2+dfsg-6) unstable; urgency=low

  * Improve helper scripts fetch-and-clean-upstream-from-hex.sh and
    linux-wlan-ng-build-firmware-deb:
    + Quote strings.
  * Fix misspellings of prism2 (not prims2).
  * Fail (not only warn) if any *.hex (not just one test) is in source.
  * Silence comments in rule files (by not indenting them).
    Thanks to Jonas Smedegaard <dr@jones.dk> 
  * added -O to curl in linux-wlan-ng-build-firmware-deb (Closes: #338144) 

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue,  8 Nov 2005 20:14:41 +0100

linux-wlan-ng (0.2.2+dfsg-5) unstable; urgency=low

   * the -source package now produces modules that do not depend on debian
     specific kernels (Closes: #337613)
   * removed 2.6.12 modules. Added 2.6.14 modules of all arches.
   * changed Architecture of linux-wlan-ng to "any".

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon,  7 Nov 2005 19:03:56 +0100

linux-wlan-ng (0.2.2+dfsg-4) UNRELEASED; urgency=low

  * Some devices supported by the linux-wlan-ng driver need a firmware file to
    work properly.
    
    These firmware files are not freely redistributable (or at least it is not
    sure if they are). The upstream authors of the driver put these firmware
    in the sources of the driver, but they are removed from the Debian source
    tarball due to these license problems.
    
    This package contains a script that is able to download the pristine
    source tarball from the http://linux-wlan.org website and build a debian
    package containing the firmware. The script is called
    linux-wlan-ng-build-firmware-deb and it creates the desired deb package
    (named linux-wlan-ng-firmware-files) in the working directory. After
    invoking that script you still have to install the package by hand.  

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun, 30 Oct 2005 12:12:48 +0100

linux-wlan-ng (0.2.2+dfsg-4) unstable; urgency=low

  * commented out line: card "NETGEAR MA401RA 11Mbps 802.11 WLAN Card"
    in wlan-ng.conf since this card is handled by the orinoco driver
    (Closes: #335393)
  * fixed loop on p80211.ko (Closes: #335585)
  * moved non vital informations from debconf to NEWS.Debian (Closes: #335390)
  * more fixed for 2.6.14+

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sun, 30 Oct 2005 12:08:15 +0100

linux-wlan-ng (0.2.2+dfsg-3) unstable; urgency=low

  * Fix prototype for pci_suspend functions to match 2.6.11+ APIs.
  * Build fixes for 2.6.14+ ( Closes: #332752 )
  * linux vs kernel name

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 20 Oct 2005 21:21:21 +0200

linux-wlan-ng (0.2.2+dfsg-2) unstable; urgency=low

  * fixed rules file on linux-wlan-ng-firmware  ( script-not-executable )
  * fixed linux-wlan-ng-build-firmware-deb ( VERSION with + char )
  * fixed lintian warnings

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Fri, 14 Oct 2005 20:04:27 +0200

linux-wlan-ng (0.2.2+dfsg-1) unstable; urgency=low

  * new ppc64 arch ( Closes: #327686 )
  * upstream orig tar without firmware files
  * clean old stuff on README.Debian
  * Fixed debian/rules ( Enrico Tassi ) No *.hex on linux-wlan-ng-source
    package
  * Endless Loop if only binary-indep or binary-arch rules are called 
    ( Closes: #327695 )
  * Added prism2dl/wlan.agent/shared.prism2 to linux-wlan-ng package
  * New linux-wlan-ng-firmware package with just a small script for build a
    the firmware package. Not incluided for legal issues. 
  * added Spanish and Italian translations ( es.po it.po )
  * Added code to avoid endless loop if shared.dpkg-old file exists 
    ( Closes: #230855, #327694)
  * Final adopt process ( Closes: #299725 ) 

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 21 Sep 2005 19:16:24 +0200

linux-wlan-ng (0.2.2-2) unstable; urgency=low

  * added patches for build this version on sarge ( 2.4.27-2, 2.6.8-2 )
 
 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue,  6 Sep 2005 17:47:45 +0200

linux-wlan-ng (0.2.2-1) unstable; urgency=low

  * New upstream release
  * new kernel namescene ( linux-headers, linux-kernel )
  * Added powerpc modules ( Closes: #242068 )
  * Support for 2.6 kernels ( CLoses: #296419, #230593, #212655, #292005 )
  * Added amd64 arch ( Closes: #250623 )
  * modules for 2.6.12-1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sun, 28 Aug 2005 02:33:34 +0200

linux-wlan-ng (0.2.0+0.2.1pre21-1.1) unstable; urgency=HIGH

  * NMU
  * Remove unsafe echo to /tmp/log that I added for debugging ages ago.
  * Fix unsafe uses of temp files in /etc/wlan/shared (not used by default
    in Debian) -- use /var/run instead. Closes: #290047
  * Built binary modules packages against the new -2 abinamed version of the
    2.4.27 kernel. Closes: #286305

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Jan 2005 15:18:15 -0500

linux-wlan-ng (0.2.0+0.2.1pre21-1) unstable; urgency=low

  * New upstream prerelease (Closes: #269678)

 -- Bradley Bell <btb@debian.org>  Tue, 28 Sep 2004 13:42:48 -0700

linux-wlan-ng (0.2.0-15) unstable; urgency=low

  * Made building of modules for stock kernels clearer/easier (Closes:
    #184899)

 -- Bradley Bell <btb@debian.org>  Tue, 20 Apr 2004 01:07:07 -0700

linux-wlan-ng (0.2.0-14) unstable; urgency=low

  * New maintainer (Closes: #216035)
  * Update for the 2.4.25-1 series of stock kernels. (Closes: #220329,
    #241381)
  * Changed default module alias to prism2_usb, since users of other
    types of adapters should probably be using the hostap driver.

 -- Bradley Bell <btb@debian.org>  Sat, 17 Apr 2004 22:01:58 -0700

linux-wlan-ng (0.2.0-13) unstable; urgency=low

  * Fix linux-wlan-ng-pre-up to not double-eval the cat command.
  * Orhpaned the package, maintainer set to debian-qa.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Nov 2003 19:43:17 -0500

linux-wlan-ng (0.2.0-12) unstable; urgency=low

  * Update for the 2.4.21-5 series of stock kernels.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Sep 2003 15:43:06 -0400

linux-wlan-ng (0.2.0-11) unstable; urgency=low

  * Update for the 2.4.21-4 series of stock kernels.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Aug 2003 13:05:33 -0400

linux-wlan-ng (0.2.0-10) unstable; urgency=low

  * Commented out the entry for "ntersil PRISM2 Reference Design 11Mb/s
    802.11b WLAN Card" in pcmcia config since the orinoco driver handles
    this one. Closes: #201424
  * Added a FAQ item on binary module packages availability.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Aug 2003 17:19:00 -0400

linux-wlan-ng (0.2.0-9) unstable; urgency=low

  * Remove unnecessary WLAN_KERN_PCMCIA setting from rules file, since the
    Configure script ignores its original value and sets it based on the
    kernel configuration. BTW, the test was also inverted. Closes: #200154
  * Rebuild binary modules packages for newest debian kernel. Closes: #200753

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jul 2003 14:56:17 -0400

linux-wlan-ng (0.2.0-8) unstable; urgency=low

  * Avoid segfault in wlancfg (when run on non-wlan-ng interface),
    caused by P80211_IFREQ ioctl resetting data pointer. Closes: #193744
  * CC may be specified when Configure is called to set the compiler to use.
  * Modules packages updated for kernel-image-2-4-20-3-386. Closes: #195809

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jun 2003 14:02:36 -0400

linux-wlan-ng (0.2.0-7) unstable; urgency=low

  * post-down: Chain rmmod calls to remove whichever module is in use.
    Closes: #193090
    Also, don't fail in p80211 fails to remove, there might be another
    interface. And direct all the rmmod stderr to /dev/null.
  * Typo. Closes: #193091
  * In ifpdown scripts, match wlan?, not wlan*, so that wlan0:0 aliases can
    be brought up. Closes: #193121
  * Split off a -doc package. It's 250k split from a 780k package, if
    you're counting.
  * I put the README.Debian in both the doc package and the main package,
    since the doc package must be installable standlone, and since it is
    important people read it even if they don't have the doc package.
  * Since the binary modules packages depend on linux-wlan-ng, I can make them
    link their doc dirs to its doc dir, to save some space. Add postinst code
    to convert old empty directory to symlink on upgrade too, to work around
    dpkg limitation.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 May 2003 13:02:35 -0400

linux-wlan-ng (0.2.0-6) unstable; urgency=low

  * if-pre-up: Don't even ask if there is WEP support if WEP is not
    desired. Apparently just asking can flummox certian cards.
    Closes: #190851
  * Configure: If pcmcia is off in the kernel, and there is no
    pcmcia source tree, just don't build the pcmcia module.
    Closes: #191478

 -- Joey Hess <joeyh@debian.org>  Mon,  5 May 2003 14:35:23 -0400

linux-wlan-ng (0.2.0-5) unstable; urgency=low

  * Install modules into directory including kernel extraversion.
    This will make multiple falvours co-exist, and is needed expecially
    because of the new added version number in debian kernel image packages.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Apr 2003 11:13:54 -0500

linux-wlan-ng (0.2.0-4) unstable; urgency=low

  * Well I was wrong, there are incompatabilities with the old modules.
    Updated dependancy to be on linux-wlan-ng-0.2.0-modules. Updated
    control.modules to make modules built with this version provide that.
    If you've already built modules for 0.2.0, you'll have to force the deps
    or rebuild them -- my apologies.
    Closes: #183992

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Mar 2003 22:24:12 -0500

linux-wlan-ng (0.2.0-3) unstable; urgency=low

  * Make it Suggest kernel-pcmcia-modules-${kvers}, and added item to debian
    FAQ about prism2_cs. Probably fixes bug #180541 (second half).

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Mar 2003 16:09:40 -0500

linux-wlan-ng (0.2.0-2) unstable; urgency=low

  * Turns out that linux-wlan-ng has no concept of a "nick" as in
    wireless-tools, and just returns essid as nick. Removed mentions of nick
    from README.Debian, specifying one has no effect.
  * Added note about wireless-tool's pre-up script noisyness, and patch to fix
    it. See bug #154367

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Mar 2003 14:00:41 -0500

linux-wlan-ng (0.2.0-1) unstable; urgency=low

  * New upstream release. Closes: #183590
  * Updated my man pages to match those that went in upstream.
  * Patch from "warner-debbugs" to shut up the if-pre-up script when setting
    up WEP. Closes: #180818
  * Removed wlan.conf from examples, it is now installed in /etc/wlan. Updated
    docs.
  * Updates to keep separated build working.
  * Removed pcmcia hack, upstream supports in-kernel pcmcia now.
  * New user-mode *apparently* works with old kernel modules, did not tighten
    dependencies.
  * Updated docs about pcmcia source tree; it's not needed anymore if you use
    the in-kernel pcmcia drivers.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Mar 2003 12:38:10 -0500

linux-wlan-ng (0.1.15-6) unstable; urgency=low

  * Rebuilt the kernel modules with gcc 2.95, to match the compiler used on
    the debian kernel packages and not get unresolved symbols. Closes: #180541

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Feb 2003 20:02:32 -0500

linux-wlan-ng (0.1.15-5) unstable; urgency=low

  * Added support for host WEP to the debian-specific /etc/network/interfaces.
    Patch from Martin Buck <m@rtin-buck.de> adds an wlan_ng_hostwep option.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jan 2003 22:49:45 -0500

linux-wlan-ng (0.1.15-4) unstable; urgency=low

  * Renamed apm resume script to not have an underscore in it, as run-parts
    has begun to ignore files with underscores. Feh. Also renamed ifupdown
    scripts for consistency.
  * Added man pages for all of the binaries. Some a little bit uninformative.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Nov 2002 12:34:56 -0500

linux-wlan-ng (0.1.15-3) unstable; urgency=low

  * Do nasty control file hackery to try to get saner Binary: fields in dsc
    and changes. Sigh.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Nov 2002 11:45:56 -0500

linux-wlan-ng (0.1.15-2) unstable; urgency=low

  * Updated apm resume script for new upstream version.
  * Added kdist traget to make .changes file; I will soon be producing
    precompiled mouldes packages for debian i386.
  * Make the modules package Depend on kernel-version-${kvers}.

 -- Joey Hess <joeyh@debian.org>  Sat,  2 Nov 2002 14:29:44 -0500

linux-wlan-ng (0.1.15-1) unstable; urgency=low

  * New upstream release, incorporating several of my patches, and a lot
    more..
  * The utilities in the linux-wlan-ng package will not work perfectly with
    the modules from version 0.1.14 of linux-wlan-ng. In my case I couldn't
    even bring up the interface with a mismatches utils and modules.
  * Therefore, the utils package conflicts with linux-wlan-ng-modules, which
    was provided by the old modules packages.
  * New modules package will provide linux-wlan-ng-0.1.15-modules and will
    depend on the version of linux-wlan-ng it came from.
  * Added note to README.Debian about this.
  * No need to remove all that debian/* stuff in rules file, it is removed
    upstream.
  * Comment out the 3com 3CRWE737A, not the 3CRWE777A.
  * Fixed typo in src/prism2/driver/Makefile

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Sep 2002 21:54:55 -0400

linux-wlan-ng (0.1.14-14) unstable; urgency=low

  * Added to wlan-ng.conf an entry for a NETGEAR MA401RA card. Closes: #160399

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Sep 2002 20:29:49 -0400

linux-wlan-ng (0.1.14-13) unstable; urgency=low

  * Removed /dev/nul typo in resume script. Closes: #159627
  * Remove /dev/nul if it exists, is a regular file, and contains something
    about prism2_plx.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Sep 2002 19:05:55 -0400

linux-wlan-ng (0.1.14-12) unstable; urgency=low

  * Don't put KDREV into the package name, put it at the front of the package
    version.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2002 12:25:46 -0400

linux-wlan-ng (0.1.14-11) unstable; urgency=low

  * Reworked onmic's pcmcia scheme file patch.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Aug 2002 02:07:40 -0400

linux-wlan-ng (0.1.14-10) unstable; urgency=low

  * Enabled pcmcia support for the D-Link DWL-650, DRC-650 cards, as I have a
    report that the pcmcia-cs "limited functionality" support for these cards
    is indeed very limited. Closes: #156877
  * Omnic patched /etc/wlan/shared to give debian paths to the pcmcia scheme
    file. Closes: #156776
  * Omnic also patched some bugs in /etc/pcmcia/wlan-ng:
    - better MAC regexp avoids problems when card is in monitor mode
    - fixed inverted tests
    - use is_true consistently
  * Don't reload pcmcia if pcmcia-cs is not installed. Closes: #156007

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Aug 2002 23:49:00 -0400

linux-wlan-ng (0.1.14-9) unstable; urgency=low

  * Deal with make-kpkg epochs. Closes: #155406

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Aug 2002 23:41:24 -0400

linux-wlan-ng (0.1.14-8) unstable; urgency=low

  * If network.opts is not configured, make the /etc/pcmcia/wlan script
    not do anything, and just let /etc/pcmcia/network call ifup/down.
    Closes: #155235 (if I got this right; no test hw so flying blind..)
  * Updated README.Debian.
  * Support building on hppa, patch from lamont. Whether this can actually be
    used on hppa we don't know. Closes: #155480
  * Fix typo, Closes: #155404

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Aug 2002 22:50:31 -0400

linux-wlan-ng (0.1.14-7) unstable; urgency=low

  * Fixed infrastructure mode enable line. Really Closes: #154851

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jul 2002 15:27:49 -0400

linux-wlan-ng (0.1.14-6) unstable; urgency=low

  * Fixed IF_WLAN_MODE/IF_WIRELESS_MODE confusion. Closes: #154851

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jul 2002 13:01:42 -0400

linux-wlan-ng (0.1.14-5) unstable; urgency=low

  * Deal with apt-src installed pcmcia-cs-verson packages when built by
    kernel-package by using a wildcard.
  * Added proper make-kpkg KDREV support.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jul 2002 13:28:20 -0400

linux-wlan-ng (0.1.14-4) unstable; urgency=low

  * Fixed metacharacter quoting in apt-src invocations.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 17:10:19 -0400

linux-wlan-ng (0.1.14-3) unstable; urgency=low

  * Since pcmcia-source and pcmcia-cs are real package names but whose source
    package is not usable to build pcmcia modules, they should not be used by
    apt-src. Instead, import it as just 'pcmcia'. Also, allow use of just
    'kernel' for apt-src name of the kernel source.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 12:24:24 -0400

linux-wlan-ng (0.1.14-2) unstable; urgency=low

  * Added support for a wlan_ng_keyfile to the interfaces file.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 00:44:49 -0400

linux-wlan-ng (0.1.14-1) unstable; urgency=low

  * First release.
  * Modified upstream Makefiles to allow building and installing only modules.
  * Integrated with ifupdown.
  * Went over the pcmcia config file and commented out cards that are
    supported by regular pcmcia modules. This included orinoco..
  * Wrote an apm init script.
  * The following are not tested:
     - building against a kernel without pcmcia or with in-kernel pcmcia
     - USB
     - PCMCIA
     - WEP
     - managed mode
  * Closes: #117417 (not my ITP, but I understand the ITPer lost interest).

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jul 2002 10:18:36 -0400
